Bug 80576 - Grub incorreclty references existing Windows partition on the same drive
Grub incorreclty references existing Windows partition on the same drive
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2002-12-28 01:01 EST by Chris Decker
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Decker 2002-12-28 01:01:49 EST
Description of problem:
I was using an 80 gig drive, which was partitioned 70 gig for my NTFS Windows
partition and 10 gig for my new Linux partition.  I completed the graphical
installation and rebooted, and when the Grub screen came on I selected my
Windows partition.  It just said something about nonroot and then it said
something about chainloader on the next line.  I had to reboot into Linux and
edit my /etc/grub.conf so it said hd0 instead of hd1.  I rebooted and everything
worked fine.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Do a full graphical install of Phoebe and use grub on the MBR
2.  Reboot
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2002-12-29 01:47:06 EST
Did you have another FAT/NTFS partition on the first hard drive that got
detected instead?  We detect the first FAT/NTFS partition that looks bootable
and guess that it is the "DOS" partition.
Comment 2 Chris Decker 2002-12-29 11:29:13 EST
No, I don't have any other FAT32/NTFS partitions on that drive.  Also, and this
is just a suggestion, why not make the "DOS" partition be displayed as Windows
by default?  

Anyways, here is my hard drive setup:

Master:
70 Gig NTFS Partition with Windows XP, 10 Gig Linux

Slave:
80 Gig FAT32 drive (used for storing media)


Below is information I copied from Partition Magic 7.0.  I'm not sure that it
will help you in any way, but I figured it couldn't hurt...




PowerQuest PartitionInfo 7.0 -- Windows NT/2000 Version
Date Generated:  12/29/02  11:29:36
Copyright (c)1994-2001, PowerQuest Corporation
Permission is granted for this utility to be freely copied so long
as it is not modified in any way.  All other rights are reserved.

PowerQuest, makers of PartitionMagic(r), Drive Image(tm), and DriveCopy(tm), can
be reached at:
    Voice:  801-437-8900
    Fax:  801-226-8941
    Web site:  http://support.powerquest.com/support.html
    E-mail:  magic@powerquest.com

General System Information:
    Total Physical Memory (bytes):  804,769,792
    Used Physical Memory: (bytes):  306,143,232
    Maximum Page File Size: (bytes):  1,969,758,208
    Current Page File Size: (bytes):  273,330,176



===========================================================================================================
Disk Geometry Information for Disk 1:    10011 Cylinders,  255 Heads,  63
Sectors/Track
System              PartSect  # Boot BCyl Head Sect  FS    ECyl Head Sect   
StartSect     NumSects
===========================================================================================================
                           0  0  80     0    1    1  07    1023  254   63      
    63  140,343,777
Info: End C,H,S values were large drive placeholders.
  Actual values are:
        0  0  80      0    1    1  07   8735  254   63        63 140343777
                           0  1  00  1023  254   63  83    1023  254   63 
140,343,840      208,845
Info: Begin C,H,S values were large drive placeholders.
Info: End C,H,S values were large drive placeholders.
  Actual values are:
        0  1  00   8736    0    1  83   8748  254   63 140343840    208845
SWAPSPACE2                 0  2  00  1023  254   63  82    1023  254   63 
140,552,685    3,132,675
Info: Begin C,H,S values were large drive placeholders.
Info: End C,H,S values were large drive placeholders.
  Actual values are:
        0  2  00   8749    0    1  82   8943  254   63 140552685   3132675
                           0  3  00  1023  254   63  0F    1023  254   63 
143,685,360   17,141,355
Info: Begin C,H,S values were large drive placeholders.
Info: End C,H,S values were large drive placeholders.
  Actual values are:
        0  3  00   8944    0    1  0F  10010  254   63 143685360  17141355
                 143,685,360  0  00  1023  254   63  83    1023  254   63 
143,685,423   17,141,292
Info: Begin C,H,S values were large drive placeholders.
Info: End C,H,S values were large drive placeholders.
  Actual values are:
143685360  0  00   8944    1    1  83  10010  254   63 143685423  17141292

===========================================================================================================
Disk Geometry Information for Disk 2:    10011 Cylinders,  255 Heads,  63
Sectors/Track
System              PartSect  # Boot BCyl Head Sect  FS    ECyl Head Sect   
StartSect     NumSects
===========================================================================================================
SECONDARY                  0  0  80     0    1    1  0C    1023  254   63      
    63  160,826,652
Info: Begin C,H,S values were large drive placeholders.
Info: End C,H,S values were large drive placeholders.
  Actual values are:
        0  0  80      0    1    1  0C  10010  254   63        63 160826652



===========================================================================================================
Partition Information for Disk 1:    78,528.7 Megabytes
Volume         PartType    Status    Size MB    PartSect  #   StartSect 
TotalSects   UsedSects   FreeSects
===========================================================================================================
C:             NTFS        Pri,Boot 68,527.2           0  0          63
140,343,777 140,343,777           0
               Linux Ext2  Pri        101.10           0  1 140,343,840    
208,845     208,845           0
*:SWAPSPACE2   Linux Swap  Pri       1,529.6           0  2 140,552,685  
3,132,675   3,132,675           0
               ExtendedX   Pri       8,369.8           0  3 143,685,360 
17,141,355  17,141,355           0
               EPBR        Log       8,369.8        None -- 143,685,360 
17,141,355  17,141,355           0
               Linux Ext2  Log       8,369.8 143,685,360  0 143,685,423 
17,141,292  17,141,292           0


===========================================================================================================
Partition Information for Disk 2:    78,528.7 Megabytes
Volume         PartType    Status    Size MB    PartSect  #   StartSect 
TotalSects   UsedSects   FreeSects
===========================================================================================================
D:SECONDARY    FAT32X      Pri,Boot 78,528.6           0  0          63
160,826,652 160,826,652           0


===========================================================================================================
Boot Record for drive C:   (Drive: 1, Starting sector: 63, Type: NTFS)
===========================================================================================================
 1. Jump:                   EB 52 90
 2. OEM Name:               NTFS    
 3. Bytes per Sector:       512
 4. Sectors per Cluster:    8
 5. Reserved Sectors:       0
 6. Number of FATs:         0
 7. Root Dir Entries:       0
 8. Total Sectors:          0
 9. Media Descriptor:       0xF8
10. Sectors per FAT:        0
11. Sectors per Track:      63  (0x3F)
12. Number of Heads:        255  (0xFF)
13. Hidden Sectors:         63  (0x3F)
14. Total Sectors (>32MB):  0  (0x0)
15. Unused:                 0x80008000
16. Total NTFS Sectors:     140343776
17. MFT Start Cluster:      786432
18. MFT Mirror Start Clust: 10050661
19. Clusters per FRS:       246
20. Clusters per Index Blk: 1
21. Serial Number:          0x36DCA244DCA1FDED
22. Checksum:               0  (0x0)
23. Boot Signature:         0xAA55

===========================================================================================================
Boot Record for drive *:   (Drive: 1, Starting sector: 140,343,840, Type: Ext-2)
===========================================================================================================
Ext-2 file system super block:
 1. Inodes count:           26208
 2. Blocks count:           104422
 3. Reserved blocks count:  5221
 4. Free blocks count:      92052
 5. First data block:       1
 6. Logical block size:     0
 7. Logical fragment size:  0
 8. Blocks/group:           8192
 9. Fragments/group:        8192
10. Inodes/group:           2016
11. Mount time:             0x3E0D32A4
12. Last write time:        0x3E0D3568
13. Mount count:            2
14. Max. mount count:       -1
15. Magic number:           EF53
16. State:                  0x0001
17. Error behavior:         0x0001
18. Minor revision level:   0
19. Last check time:        0x3E0CD95D
20. Max. time bet. checks:  0
21. Creator oper. system:   0
22. Major revision level:   1
23. Reserved block def. UID:0x0000
24. Reserved block def. GID:0x0000

===========================================================================================================
Boot Record for drive *:   (Drive: 1, Starting sector: 143,685,423, Type: Ext-2)
===========================================================================================================
Ext-2 file system super block:
 1. Inodes count:           1072896
 2. Blocks count:           2142661
 3. Reserved blocks count:  107133
 4. Free blocks count:      972619
 5. First data block:       0
 6. Logical block size:     2
 7. Logical fragment size:  2
 8. Blocks/group:           32768
 9. Fragments/group:        32768
10. Inodes/group:           16256
11. Mount time:             0x3E0D3298
12. Last write time:        0x3E0D356A
13. Mount count:            2
14. Max. mount count:       -1
15. Magic number:           EF53
16. State:                  0x0001
17. Error behavior:         0x0001
18. Minor revision level:   0
19. Last check time:        0x3E0CD954
20. Max. time bet. checks:  0
21. Creator oper. system:   0
22. Major revision level:   1
23. Reserved block def. UID:0x0000
24. Reserved block def. GID:0x0000

===========================================================================================================
Boot Record for drive D:   (Drive: 2, Starting sector: 63, Type: FAT32)
===========================================================================================================
 1. Jump:                   EB 58 90
 2. OEM Name:               MSWIN4.1
 3. Bytes per Sector:       512
 4. Sectors per Cluster:    64
 5. Reserved Sectors:       38
 6. Number of FAT's:        2
 7. Reserved:               0x0000
 8. Reserved:               0x0000
 9. Media Descriptor:       0xF8
10. Sectors per FAT:        0
11. Sectors per Track:      63  (0x3F)
12. Number of Heads:        255  (0xFF)
13. Hidden Sectors:         63  (0x3F)
14. Big Total Sectors:      160826652  (0x996051C)
15. Big Sectors per FAT:    19629
16. Extended Flags:         0x0000
17. FS Version:             0
18. First Cluster of Root:  2  (0x2)
19. FS Info Sector:         1
20. Backup Boot Sector:     6
21. Reserved:               000000000000000000000000 
22. Drive ID:               0x80
23. Reserved for NT:        0x00
24. Extended Boot Sig:      0x29
25. Serial Number:          0x3D10D615
26. Volume Name:            SECONDARY  
27. File System Type:       FAT32   
28. Boot Signature:         0xAA55
Comment 3 Jeremy Katz 2002-12-29 12:47:36 EST
Can you give the output of fdisk -l on both drives as well as the output of
running parted and typing print at the parted prompt?
Comment 4 Chris Decker 2002-12-30 20:25:32 EST
I wish I could do that for you, unfortunately my primary Linux machine died on
me and I had to put 8.0 on this machine (needed the stability).  Should I
install Phoebe in the next week or so, I will definately do that for you.
Comment 5 Jeremy Katz 2002-12-31 03:01:50 EST
The output from under 8.0 should be mostly the same... there's one variation,
but I'll have a better idea if it matters or not once I see the basics.
Comment 6 Chris Decker 2002-12-31 08:38:23 EST
[root@cdcustom-linux root]# fdisk -l

Disk /dev/hda: 255 heads, 63 sectors, 10011 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1      8736  70171888+   7  HPFS/NTFS
/dev/hda2          8737      8749    104422+  83  Linux
/dev/hda3          8750      8944   1566337+  82  Linux swap
/dev/hda4          8945     10011   8570677+   f  Win95 Ext'd (LBA)
/dev/hda5          8945     10011   8570646   83  Linux

Disk /dev/hdb: 255 heads, 63 sectors, 10011 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hdb1   *         1     10011  80413326    c  Win95 FAT32 (LBA)




[root@cdcustom-linux root]# parted
GNU Parted 1.4.24
Copyright (C) 1998, 1999, 2000, 2001, 2002 Free Software Foundation, Inc.
This program is free software, covered by the GNU General Public License.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

Using /dev/hda
Information: The operating system thinks the geometry on /dev/hda is
10011/255/63.  Therefore, cylinder 1024 ends at 8032.499M.
(parted) print
Disk geometry for /dev/hda: 0.000-78533.437 megabytes
Disk label type: msdos
Minor    Start       End     Type      Filesystem  Flags
1          0.031  68527.265  primary   ntfs        boot
2      68527.266  68629.240  primary   ext3
3      68629.241  70158.867  primary   linux-swap
4      70158.867  78528.669  extended              lba
5      70158.898  78528.669  logical   ext3
(parted)
Comment 7 Jeremy Katz 2003-01-22 19:54:45 EST
Fixed in CVS.  Update disk for 8.0.93 phoebe at
http://people.redhat.com/~katzj/phoebe-update.img
Comment 8 Brent Fox 2003-05-25 10:52:30 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.